Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.item
Class URI

    java.lang.Object
      org.basex.query.xquery.expr.Expr
          org.basex.query.xquery.item.Item
              org.basex.query.xquery.item.Str
                  org.basex.query.xquery.item.URI

    public final class URI

extends Str

URI item.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary
`static URI` | `BX` Default namespace.
`static URI` | `EMPTY` Empty URI.
`static URI` | `FN` Default namespace.
`static URI` | `XML` Default namespace.
`static URI` | `XS` Default namespace.

Fields inherited from class org.basex.query.xquery.item.Str
`ZERO`

Fields inherited from class org.basex.query.xquery.expr.Expr
`type`

Constructor Summary
`URI()` Empty Constructor.
`URI(byte[] v)` Constructor.
`URI(byte[] v, boolean x)` Constructor.

Method Summary
`static byte[]` | `append(byte[] uri, byte[] add)` Appends the specified address.
`static boolean` | `check(byte[] v)` Compares the specified uri.
`boolean` | `eq(URI uri)` Compares the specified uri.

Methods inherited from class org.basex.query.xquery.item.Str
`bool, dbl, diff, eq, flt, get, itr, s, serialize, serialize, str, toString`

Methods inherited from class org.basex.query.xquery.item.Item
`castErr, comp, eval, i, info, iter, serialize, size`

Methods inherited from class org.basex.query.xquery.expr.Expr
`cls, d, e, n, node, u`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BX

    public static final URI BX

  Default namespace.

### EMPTY

    public static final URI EMPTY

  Empty URI.

### FN

    public static final URI FN

  Default namespace.

### XML

    public static final URI XML

  Default namespace.

### XS

    public static final URI XS

  Default namespace.

Constructor Detail

### URI

    public URI()

  Empty Constructor.

### URI

    public URI(byte[] v)
        throws XQException

  Constructor.

  Parameters:
    `v` - value
  Throws:
    `XQException` - evaluation exception

### URI

    public URI(byte[] v,
               boolean x)

  Constructor.

  Parameters:
    `v` - value
    `x` - dummy flag

Method Detail

### append

    public static byte[] append(byte[] uri,
                                byte[] add)

  Appends the specified address.

  Parameters:
    `uri` - uri
    `add` - address to be appended
  Returns:
    new uri

### check

    public static boolean check(byte[] v)

  Compares the specified uri.

  Parameters:
    `v` - uri to be compared
  Returns:
    result of check

### eq

    public boolean eq(URI uri)

  Compares the specified uri.

  Parameters:
    `uri` - uri to be compared
  Returns:
    result of check

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD